% -*-  coding:utf-8 mode:trale-prolog   -*-



% load phrase structure macros
:- ['core-syntax'].
:- ['core-syntax-spirits'].


:- ['core-syntax-without-idiomatic-arguments'].


% Relations of arguments that are marked idiomatic:plus are not added to
% the rels list of the mother. Howeever this overgenerates, since the treatment
% with subtract_rels ensures that the right material is present in the idiomatic complement:
%
%
% u       Ali rā dust   dāšt.
% he/she  ali RA friend had.3SG
% `He/she liked/loved Ali.'
      
% * u  Ali rā mard dāšt.
%   he Ali RA man has



%:- ['core-syntax-idiomatic-arguments'].


% load relational constraints for rules
:- ['core-constraints'].

% load lexical macros
:- ['core-macros'].
:- ['core-macros-spirits'].

:- ['core-lexrules'].




% load some constraints that are not linguistically necessary,
% but good for performance
:- ['core-speed'].



% load a sequence that is executed after the grammar is loaded
:- ['common.pl'].