% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 190 $
%%      $Date: 2007-06-16 12:51:22 +0200 (Sat, 16 Jun 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: All the syntactic constrints that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.




% Does this work if we know the relations (Y instantiated)? Can we distribute them to the daughters?
fun collect_rels(+,-).
collect_rels(X,Y) if 
   when( (X=(e_list;ne_list);
          Y=(e_list;ne_list)) 
       , undelayed_collect_rels(X,Y)
       ).

undelayed_collect_rels([],[]) if true.
undelayed_collect_rels((Dtrs,
                         hd:synsem:loc:idiomatic:Idiomatic),CRels) if
  when( Idiomatic=(plus;minus)
      , undelayed_collect_rels2(Dtrs,CRels)
      ).

% if the daughter is an idiomatic argument, its contribution is ignored.
undelayed_collect_rels2([synsem:loc:idiomatic:plus|T],CRels) if
  collect_rels(T,CRels).
undelayed_collect_rels2([(synsem:loc:idiomatic:minus,
                          rels:Rels)|T],CRels) if
  collect_rels(T,RelsT),
  append(Rels,RelsT,CRels).

fun collect_hcons(+,-).
collect_hcons(X,Y) if 
   when( (X=(e_list;ne_list);
          Y=(e_list;ne_list)) 
       , undelayed_collect_hcons(X,Y)
       ).

undelayed_collect_hcons([],[]) if true.

undelayed_collect_hcons((Dtrs,
                         hd:synsem:loc:idiomatic:Idiomatic),CHCons) if
  when( Idiomatic=(plus;minus)
      , undelayed_collect_hcons2(Dtrs,CHCons)
      ).

undelayed_collect_hcons2([synsem:loc:idiomatic:plus|T],CHCons) if
  collect_hcons(T,CHCons).
undelayed_collect_hcons2([(synsem:loc:idiomatic:minus,
                           h_cons:HCons)|T],CHCons) if
  collect_hcons(T,HConsT),
  append(HCons,HConsT,CHCons).

fun collect_subtract_rels(+,-).
collect_subtract_rels(X,Y) if 
   when( (X=(e_list;ne_list);
          Y=(e_list;ne_list)) 
       , undelayed_collect_subtract_rels(X,Y)
       ).

undelayed_collect_subtract_rels([],[]) if true.
undelayed_collect_subtract_rels([subtract_rels:Subtract_rels|T],CSubtract_rels) if
  collect_subtract_rels(T,Subtract_relsT),
  append(Subtract_rels,Subtract_relsT,CSubtract_rels).
