% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.


pronoun_c(Case,Person,Numerus,Genus) :=
 (synsem:loc:(cat:head:case:morph_case:Case,
              cont:ind:(ref,
                        per:Person,
                        num:Numerus,
                        gen:Genus))).

% Do we need gender for Hindi?
pers_pronoun_c(Case-case,Person-per,Numerus-num,Genus-genus,Sort-anything) :=
 (@pers_pronoun(Person,Numerus,Sort),
  @pronoun_c(Case,Person,Numerus,Genus)).


% ich, du haben kein spezifiziertes Genus
pers_pronoun_c(Case,Person,Numerus,Sort) :=
  @pers_pronoun_c(Case,Person,Numerus,genus,Sort).
