% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 280 $
%%          $Date: 2008-01-11 15:00:27 +0100 (Fr, 11 Jan 2008) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Lexical rules that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.



% stem entries are usually underspecified with respect to their later use as predicative
% or attributive use. The HEAD value of the inflected form is just taken over from the stem.
% In the case of scopal adjectives like `alledged' there is only an attributive form. The
% HEAD value of such adjectives is specified in the lexical items.
% This underspecification approach does not work for languages that do not have adjective
% inflection. Therefore we state the sharing here as language class particular constraint.
% Languages that map fully inflected predicative forms to attributive ones have to constrain
% the HEAD values of the input and output independently.

% This does not hold for Maltese, since Maltese has an empty copula. Maltese maps the subject
% to SPR and the SUBJ is empty. The attributive adjective LR remaps SPR to SUBJ for Maltese.
% St. Mü. 28.07.2009

attr_adj_lr *>
(synsem:loc:cat:head:Head,
 dtrs:hd:synsem:loc:cat:head:Head).
