% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile (lex_rule)/2.
:- discontiguous (lex_rule)/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.





% Bei Mädchen, Weib usw. sind SynGenus und SemGenus
% verschieden.
noun_g(SynGenus-genus,SemGenus-genus,Relation) :=
 (@underived_simple_noun_nominal,
  synsem:loc:(cat:spr:[arg:loc:cat:head:gen:SynGenus],
              cont:ind:gen:SemGenus),
  rels:[pred:Relation]).

noun_g(SynGenus-genus,SemGenus-genus,Relation,Sort) :=
 (@noun_g(SynGenus,SemGenus,Relation),
  synsem:loc:cont:ind:sort:Sort).

% Normalerweise sind die Genus-Werte aber gleich.
% Haus
noun(Genus,Relation) :=
 @noun_g(Genus,Genus,Relation).

noun(Genus-genus,Relation,Sort-anything) :=
 (@noun_g(Genus,Genus,Relation),
  synsem:loc:cont:ind:sort:Sort).

mass_noun(Genus-genus,Relation,Sort-anything) :=
 (@noun_g(Genus,Genus,Relation),
  synsem:loc:cont:ind:sort:Sort).


underived_relational_noun_nominal :=
 (underived_det_noun_stem,
  @relational_noun_le,
  @noun_nominal).

relational_noun(Genus-genus,Relation,Sort-anything) :=
 (@underived_relational_noun_nominal,
  synsem:loc:(cat:spr:[arg:loc:cat:head:gen:Genus],
              cont:ind:(gen:Genus,
                        sort:Sort)),
  rels:[pred:Relation]).



