% -*- coding:utf-8 mode:trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: core-syntax.pl,v $
%%  $Revision: 140 $
%%      $Date: 2007-05-23 11:39:15 +0200 (Wed, 23 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: All the syntactic constrints that belong to
%%             Universal Grammar.
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- discontiguous (if)/2.
:- multifile (fun)/1.
:- discontiguous (fun)/1.




v2_clause *>
  head_dtr:synsem:loc:cat:(head:inv:plus,
                           marking:v2).


% The wh element can occur in preverbal position in root clauses
% or left-preipheral in embedded interrogatives.
(v2_clause,
 non_head_dtrs:[synsem:nonloc:inher:que:ne_list]) *> synsem:(loc:cont:key:interrogative,
                                                             nonloc:inher:slash:[]).

% Is it possible to have long distance extraction
(v2_clause,
 synsem:nonloc:inher:slash:[],
 non_head_dtrs:[synsem:nonloc:inher:que:e_list]) *> synsem:loc:cont:key:assertion_or_imperative.



 
interrogative_clause *>
  (c_cont:(rels:[(interrogative,
                  arg0:Event,
                  arg1:LTop)],
           h_cons:[],
           hook:gtop:GTop),
   head_dtr:synsem:loc:(cat:head:(%inv:minus, not Yiddish
                                  dsl:none), % real verb please
                        cont:(ind:Event,
                              gtop:GTop,
                              lextop:LTop)),
   non_head_dtrs:[synsem:nonloc:inher:que:ne_list]).   
