% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%       $RCSfile: core-macros.pl,v $
%%      $Revision: 326 $
%%          $Date: 2008-10-01 15:13:22 +0200 (Mi, 01 Okt 2008) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Parts of grammar that are identical for languages with expletives
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile 'if'/2.
:- multifile 'fun'/1.


expletive_pronoun :=
 (@nominal_non_rel_pronoun_le,
  @non_que_le,
  @nominal_pronoun_word,
  @non_relational_no_key_le,
  synsem:loc:(cat:head:case:morph_case:nom_or_acc,
              cont:ind:expl)).


/* old
np_expl :=
  (@argument_np,
   @arg(loc:cont:ind:expl)).

*/


% taken from core-macros-spirits.pl
np_expl :=
  (@argument_np,
   %@np_str,                    not all of them are. 
   @arg(loc:cont:ind:expl)).

% Existensials "Es gibt den schönen Spruch ..."

np_expl_str :=
  (@np_expl,
   @np_str).


% Positional `es': "Es kam ein Ritter zum Tor hinein."
np_expl_lex :=
  (@np_expl,
   @np_lex).
