% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          $File: german-maltese-lexrules.pl $
%%      $Revision: 94 $
%%          $Date: 2007-03-26 17:16:20 +0200 (Mon, 26 Mar 2007) $
%%         Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%% $LastChangedBy: stefan $
%%        Purpose: Macros that are identical for German and Maltese
%%       Language: Trale
%          System: TRALE 2.7.5 (release ) under Sicstus 3.12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.
:- multifile (if)/2.
:- multifile (fun)/1.


% languages that embedd a VP under the auxiliary (Danish, English)


% like German, but always incoherent, that is, we select a VP
aux_verb :=
 (@event_verb_le,
  incoherent_verb_le,
  @scopal_subj_raising_verb,                % added here, instead of perfect_aux_verb
  synsem:loc:cat:(head:aux:plus,
                  arg_st:[(arg: loc:cat:(head:verb,
                           %              spr:ne_list,
                                         subcat:list_of_spirits)
                          %@vp
                          ),_])).

/*

For German, there is a generalization to be captured regarding participles:
They construct always coherently. For English and Danish we just have the
form of the governed verb and the relation contributed by the auxiliary.

*/


perf_inf_verb :=
  (@raising_verb,
   @verbal_complement_le,
   synsem:loc:cat:arg_st:hd:arg:loc:cat:head:vform:perf).


perf_perfect_aux_verb :=
 (@perfect_aux_verb,
  @perf_inf_verb).


% configurational languages like Danish and English raise the subject from SPR not from SUBJ.

subj_raising_verb_le :=
 (@raising_verb_le,
  synsem:loc:cat:arg_st:[(@argument,
                          arg:loc:cat:head:subj:Subj)
                        |(raise(Subj),
                          tl:e_list)]).


aux_verb(VForm,Pred) :=
 (@aux_verb,
  synsem:loc:cat:arg_st:hd:arg:loc:cat:head:vform:VForm,
  rels:[pred:Pred]).

