% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: particle-verb-lexrules.pl,v $
%%  $Revision: 280 $
%%      $Date: 2008-01-11 15:00:27 +0100 (Fr, 11 Jan 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: German grammar
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.
:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile lex_rule/2.
:- discontiguous lex_rule/2.
:- multifile '*>'/2.
:- discontiguous '*>'/2.



bar_derivation_lr *>
(@spr_saturated,
 @ltop_lbl_le,
 @arg0_le,
 synsem:(loc:(cat:(head:(adj,
                         subj:[Obj]),
                   subcat:Rest),
              cont:gtop:GTop),
         nonloc:Nonloc,
         lex:Lex,
         trace:Trace),
% rels:append([(pred: (a_ modal_rel),
%               arg0:event,
%               arg3:LTop)|Rels],ClosureRels),
% h_cons:append(HCons,ClosureHCons),

 % existential closure is not necessary if unused indices are marked with `u' instead of `x'
 % when send to utool.
 rels:[(pred: (a_ modal_rel),
               arg0:event,
               arg3:LTop)|Rels],
 h_cons:HCons,
 zu:minus,
 dtrs:[(stem,
        synsem:(loc:(cat:(head:(verb,
                                subj:[],              % Der Verbstamm wird modifiziert.
                                                      % Ohne diese Beschränkung, bliebe der SUBJ-Wert uninstantiiert ->
                                                      % Residuen bzw. mehrere Modelle bei Auflösung der Werte.
                                da:(DA,
                                    [@blocked_np_ref])),
                          subcat:(append(Rest,[(Obj,
                                                @np_str)|(%existential_closure(LTop,ClosureRels,ClosureHCons),
                                                          DA)]),
                                  hd:arg:loc:cat:head: @not_(verb))             % *zwingbar, *versuchbar, *erlaubbar
                         ),
                     cont:(gtop:GTop,
                           ltop:LTop)),
%                           nucleus:(main_rel,  % schließt `habbar' und `bekommbar' aus
%                                    VCont))),
                     nonloc:Nonloc,
                     lex:Lex,
                     trace:Trace),
        rels:Rels,
        h_cons:HCons,
        % Diese Spezifikation ist unschön! Sie schließt nur unechte Mehrdeutigkeiten aus.
        % Sie sollte durche eine Änderung der Merkmalsgeometrie unnötig gemacht werden.
        infl:affix_:unused)]).



bar_derivation_lr ##
  Dtr
 **>
( bar_derivation_lr,
  dtrs:[Dtr])
morphs
  X becomes (X,bar).

