% -*-  coding:utf-8 mode:trale-prolog   -*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 157 $
%%      $Date: 2007-05-30 10:10:58 +0200 (Wed, 30 May 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@fu-berlin.de)
%%             Bjarne Ørsnes  (Bjarne.Oersnes@fu-berlin.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile '--->'/2.
:- discontiguous '--->'/2.
:- multifile '*>'/2.
:- multifile ':='/2.
:- discontiguous ':='/2.


% common = mas v fem
den ~~> @det(sg,common,plus,def_q).

det ~~> @det(sg,neu,plus,def_q).

de  ~~> @det(pl,plus,def_q).

en  ~~> @det(sg,common,minus,one_q).

ingen ~~> @negated_determiner.


bjarne ~~> @proper_noun(a_ bjarne, human).
max    ~~> @proper_noun(a_ max,    human).
peter  ~~> @proper_noun(a_ peter,  human).


% pronouns

jeg ~~> @pers_pronoun_c(nom, first,sg,common, human).
mig ~~> @pers_pronoun_c(acc, first,sg,common, human).

han ~~> @pers_pronoun_c(nom, third,sg,common, anything).
ham ~~> @pers_pronoun_c(acc, third,sg,common, anything).

de  ~~> @pers_pronoun_c(nom, third,pl,common, human).
dem ~~> @pers_pronoun_c(acc, third,pl,common, human).


den ~~> @pers_pronoun_c(nom_or_acc, third,sg,common, non_human).
det ~~> @pers_pronoun_c(nom_or_acc, third,sg,neu,    anything).  % das Kind und non_human


% there
der ~~> @expletive_pronoun.

% who
hvem ~~> @int_pron(a_ person_rel, agentive).

% what
hvad ~~> @int_pron(a_ thing_rel,  non_agentive).

/*
welch-: hvilk-et (vor Neutrum)
        hvilk-en (vor Mask/Fem)
wo: hvor
wie: hvordan

*/

% nouns with gender 'common'

bog  ~~> @noun(common,a_ book_rel,info_bearer),
         @pl_stem(a_ bøg),
         @noun_flex_fk(nfk_er).

dreng ~~> @noun(common,a_ boy_rel,human),
          @noun_flex_fk(nfk_e).


% check
mand ~~> @noun(common,a_ man_rel,human),
         @pl_stem(a_ mænd),
         @noun_flex_fk(nfk_er).


zeitung  ~~> @noun(common,a_ newspaper_rel,info_bearer),
         @pl_stem(a_ bøg),
         @noun_flex_fk(nfk_er).

% check
vinder ~~> @noun(common,a_ winner_rel,human),
         @noun_flex_fk(nfk_er).


hus ~~> @noun(neu,a_ house_rel,nongeo_location),
        @noun_flex_fk(nfk_er).



klog ~~> @adj_stem(a_ smart).

ny   ~~> @adj_stem(a_ new).

stor ~~> @adj_stem(a_ big).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Adverbs

ikke ~~> (@scopal_pre_modifier_adv,
          rels:[negation_rel]).

sandsynligvis ~~> (@scopal_pre_modifier_adv,
          rels:[pred:(a_ probably)]).


nu   ~~> @temp_adv(a_ now).

ofte ~~> @scopal_adv(a_ often).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% verbs

arbejd  ~~> @intrans_verb(a_ work,agentive),
            @verb_flex_fk(vfk_ede),
            @vflex_em(minus).

% check inflection
komm    ~~> @intrans_verb(a_ comes,agentive),
            @verb_flex_fk(vfk_ede),
            @vflex_em(minus).


% check inflection
syng    ~~> @intrans_verb(a_ sing,agentive),
            @verb_flex_fk(vfk_ede),
            @vflex_em(minus).

% past vandt
vind    ~~> @intrans_verb(a_ win,agentive),
            @verb_flex_fk(vfk_ede),
            @vflex_em(minus).



elsk   ~~> @trans_verb(a_ like,agentive,anything),
           @verb_flex_fk(vfk_te),
           @vflex_em(minus).

had    ~~> @trans_verb(a_ hate,agentive,anything),
           @verb_flex_fk(vfk_te),
           @vflex_em(minus).

læs    ~~> @trans_verb(a_ read,agentive,info_bearer),
           @verb_flex_fk(vfk_te),
           @vflex_em(minus).



% strong verb
% past: gav
%
giv    ~~> @ditrans_verb(a_ give,agentive,agentive,object),
           @verb_flex_fk(vfk_te),
           @vflex_em(minus).

% check flexion
påstå  ~~> @np_s_verb(a_ claim),
           @verb_flex_fk(vfk_ede),
           @vflex_em(plus).


% check flexion

% past spurgte
spørge ~~> @np_interrog_s_verb(a_ ask,human),
           @verb_flex_fk(vfk_ede),
           @vflex_em(plus).


tro    ~~> @np_cp_s_verb(a_ believe),
           @verb_flex_fk(vfk_ede),
           @vflex_em(plus).

% copula
er   ~~> @er(pres).


% passive aux
bliver ~~> @passive_aux(pres).
blev   ~~> @passive_aux(past).


% perfect aux
% have = inf, har = Pres, havde = Past
har ~~> @have_perfect_aux(pres).
%        @verb_flex_fk(vfk_ede),
%         @vflex_em(plus).
%


at ~~> @complementizer(at_cform).

hvis ~~> @mod_complementizer(a_ if).


%test_hvis ~~> @bjarnes_complementizer_word.

og ~~> @conjunction(and_rel).


empty 
   e_trace.


empty
%test_hm ~~> 
  hm_trace.


