% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: suffixes.pl,v $
%%  $Revision: 129 $
%%      $Date: 2007-05-18 15:18:36 +0200 (Fr, 18 Mai 2007) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: noun endings taken over from Babel (Version 04.04.95)
%%             original classification due to Dorothee Reimann
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile '*>'/2. 


attr_adj_i_suffix *>
  ( %                      Num, Gen,    Def
    @a_infl_affix([a_ []], sg, common,  minus);
    @a_infl_affix([a_ e ], pl, genus,   bool);
    @a_infl_affix([a_ e ], sg, genus,   plus);
    @a_infl_affix([a_ t ], sg, neu,     minus)
  ).


prd_adj_i_suffix *>
  ( %                      Num, Gen
    @a_infl_affix([a_ []], sg, common);
    @a_infl_affix([a_ t ], sg, neu);
    @a_infl_affix([a_ e ], pl, genus)
  ).


noun_i_suffix *>
  (@n_infl_affix([a_ []],    nfk_er, sg, nom_or_acc);
   @n_infl_affix([a_ s ],    nfk_er, sg, gen);
   @n_infl_affix([a_ er],    nfk_er, pl, nom_or_acc);

      % dreng (boy)
   @n_infl_affix([a_ []],    nfk_e, sg, nom_or_acc);
   @n_infl_affix([a_ s ],    nfk_e, sg, gen);
   @n_infl_affix([a_ e],     nfk_e, pl, nom_or_acc)  
  ).



fin_verb_i_suffix *>
(
  @v_infl_affix_([a_ er],  pres, minus);
  @v_infl_affix_([a_ r],   pres, plus);

  @v_infl_affix([a_ ede],  past, vfk_ede);
  @v_infl_affix([a_ te],   past, vfk_te)

).


% ventede -> ventet (wartete, gewartet)
% laeste -> laest  (las, gelesen)

ppp_verb_i_suffix *>
  (phon:[a_ et],
      fk:vfk_ede
  ;
   phon:[a_ t],
      fk:vfk_te).
