% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon-test.pl,v $
%%  $Revision: 316 $
%%      $Date: 2008-06-12 17:21:16 +0200 (Do, 12 Jun 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.12.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile '--->'/2.
:- discontiguous '--->'/2.
:- multifile '*>'/2.
:- multifile ':='/2.
:- discontiguous ':='/2.

%bin   ~~> @sein(first, sg, pres_ind).


das ~~> @det(nom_or_acc,sg,neu,strong,def_q).

% /*

der ~~> @det(nom,sg,mas,strong,def_q).

% % wir gedenken der Frau
% % wir helfen der Frau
% der ~~> @det(gen_or_dat,sg,fem,strong,def_q).


% % dem Mann/Buch
% dem ~~>  @det(dat,sg,mas_or_neu,strong,def_q).

% % den Mann
den ~~> @det(acc,sg,mas,strong,def_q).


% des ~~> @det(gen,sg,mas_or_neu,strong,def_q).

die ~~> @det(nom_or_acc,sg,fem,strong,def_q).


die ~~> @det(nom_or_acc,pl,strong,def_q).
% den ~~> @det(dat,       pl,strong,def_q).
% der ~~> @det(gen,       pl,strong,def_q).

% */



ein       ~~> @mixed_det_stem(sg,one_q).

jed       ~~> @det_stem(sg,strong,every_q).

all       ~~> @det_stem(pl,strong,every_q).


max    ~~> @proper_noun(a_ max,    human).


% mein  ~~> @possessive(first,sg).
% dein  ~~> @possessive(second,sg).
% ihr   ~~> @possessive(third,sg,fem).
% sein  ~~> @possessive(third,sg,mas_or_neu).




% /*
% % Nomina neutr

% buch      ~~> @noun(neu,buch),
%               @pl_stem(a_ büch),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus),
%               @noun_flex_kumw(minus).
% */

%fenster      ~~> @noun(neu,a_ fenster_rel),
%                 @noun_flex_fk(nfk_2).


% kind      ~~> @noun(neu,kind),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus). % unspezifiziert falls dem Kinde gehen soll

% /*
% lied      ~~> @noun(neu,lied),
%               @noun_flex_fk(nfk_er),
%               @noun_flex_gen_e(plus),
%               @noun_flex_dat_e(minus).

% märchen   ~~> @noun(neu,märchen),
%               @noun_flex_fk(nfk_1).


% % Achtung! Mädchen hat das Genus Neutrum, für Pronomenbindung
% % ist allerdings feminin oder neutrum möglich.
% % Das Mädchen ... Sie/es ...

% mädchen   ~~> @noun(neu,  fem_or_neu,mädchen),
%               @noun_flex_fk(nfk_1).



% % Nomina mask

aufsatz   ~~> @noun(mas,a_ aufsatz),
              @pl_stem(a_ aufsätz),
              @noun_flex_fk(nfk_e1),
              @noun_flex_gen_e(plus),
              @noun_flex_dat_e(minus),
              @noun_flex_kumw(minus).

% kran      ~~> @noun(mas,kran),
%               @pl_stem(a_ krän),
%               @noun_flex_fk(nfk_e1),
%               @noun_flex_dat_e(minus).


% lügner    ~~> @noun(mas,lügner),
%               @noun_flex_fk(nfk_1).


mann      ~~> @noun(mas,a_ mann_rel),
              @pl_stem(a_ männ),
              @noun_flex_fk(nfk_er),
              @noun_flex_gen_e(plus),
              @noun_flex_dat_e(minus).


% mörder    ~~> @noun(mas,mörder),
%               @noun_flex_fk(nfk_2).

% */

% sohn      ~~> @noun(mas,sohn),
%               @pl_stem(a_ söhn),
%               @noun_flex_fk(nfk_e1),
%               @noun_flex_gen_e(minus),
%               @noun_flex_dat_e(minus).

% /*
% wagen     ~~> @noun(mas,wagen),
%               @noun_flex_fk(nfk_1),
%               @noun_flex_gen_e(minus).



% % Nomina fem

% frau         ~~> @noun(fem,a_ frau_rel),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_gen_e(plus),
%                  @noun_flex_dat_e(minus),
%                  @noun_flex_e_vor_n(plus),
%                  @noun_flex_kumw(minus).


% geschichte   ~~> @noun(fem,a_ geschichte),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_gen_e(plus),
%                  @noun_flex_dat_e(minus),
%                  @noun_flex_e_vor_n(minus),
%                  @noun_flex_kumw(minus).

luke         ~~> @noun(fem,a_ luke_rel),
                 @noun_flex_fk(nfk_n5),
                 @noun_flex_e_vor_n(minus).


% speisekammer ~~> @noun(fem,speisekammer),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_gen_e(plus),
%                  @noun_flex_dat_e(minus),
%                  @noun_flex_e_vor_n(minus),
%                  @noun_flex_kumw(minus).

% tochter      ~~> @noun(fem,tochter),
%                  @pl_stem(a_ töchter),
%                  @noun_flex_fk(nfk_4),
%                  @noun_flex_e_vor_n(minus).

% überraschung ~~> @noun(fem,überraschung),
%                  @noun_flex_fk(nfk_n5),
%                  @noun_flex_e_vor_n(plus).

% wurst        ~~> @noun(fem,wurst),
%                  @pl_stem(a_ würst),
%                  @noun_flex_fk(nfk_e3).

% strippe        ~~> @noun(fem,a_ strippe),
%                    @noun_flex_fk(nfk_n5),
%                    @noun_flex_e_vor_n(minus).

% % adjektivisch flektierte Nomina
% % Die Flexionsinformation ist identisch mit der der Adjektive,
% % außer daß das Genus nie neutrum ist, da Beamte immer mas
% % oder fem sind.

% beamt ~~> @adj_noun(beamter).

% % diese Formen werden nicht gebraucht. Bei Adjektiven sind
% % sie notwendig, da der Artikel wegfallen kann:
% %
% % Er rechnet mit frischer Milch.
% %
% %beamter ~~> @noun(gen_or_dat,fem,       sg,weak,  beamter).




% % Personalpronomina


du     ~~> @pers_pronoun_c(nom,second,sg,agentive).
er     ~~> @pers_pronoun_c(nom,third,sg,mas,anything).

dir    ~~> @pers_pronoun_c(dat,second,sg,agentive).

ihm    ~~> @pers_pronoun_c(dat,third,sg,mas_or_neu,anything).
ihn    ~~> @pers_pronoun_c(acc,third,sg,mas,       anything).


% % Expletivum

es    ~~> @expl_pronoun.


% % Possessivpronomina

% mein   ~~> @possessive(nom,       first, sg,genus,     sg,mas,       weak).



% % Relativpronomina

% Relativpronomina

%die    ~~> @rel_pronoun(nom_or_acc,third,sg,fem).
%der    ~~> @rel_pronoun(gen_or_dat,third,sg,fem).

der    ~~> @rel_pronoun(nom,third,sg,mas).

% dessen ~~> @rel_pronoun(gen,third,sg,mas_or_neu).
% dem    ~~> @rel_pronoun(dat,third,sg,mas_or_neu).

% den    ~~> @rel_pronoun(acc,third,sg,mas).

% das    ~~> @rel_pronoun(nom_or_acc,third,sg,neu).

die    ~~> @rel_pronoun(nom_or_acc,third,pl,genus).

% dessen ~~> @possessive_rel_pronoun(sg,mas_or_neu).
% deren  ~~> @possessive_rel_pronoun(sg,fem).



% % Verben

% Strippen ziehen
% zieh ~~>  @idiomatic_trans_verb(a_ i_ziehen,a_ i_strippe,a_ strippe,human,abstract),
%           @past_stem(a_ zog),
%           @part_stem(a_ zog),
              
%           @conj_stem(a_ zög),
 
%           @vflex_fk(v_strong),
              
%           @vflex_ep(minus),
%           @vflex_evp(minus),
%           @vflex_epp(plus),
%           @vflex_sm(minus),
%           @vflex_pl_n(minus),
%           @vflex_spe(minus),
%           @vflex_tm(minus),
%           @vflex_em(minus),
%           @vflex_bet1(plus).

% lach    ~~> @intrans_verb(a_ lachen),
%             @vflex_fk(v_weak),
 
%             @vflex_ep(minus),
%             @vflex_sm(minus),
%             @vflex_pl_n(minus),
%             @vflex_em(minus),
%             @vflex_bet1(plus).


% regn  ~~>  @expl_np_verb(a_ regnen_rel),
%            @vflex_fk(v_weak),
 
%            @vflex_ep(plus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).

% glaub  ~~> @np_s_verb(a_ glauben),
%            @vflex_fk(v_weak),
 
%            @vflex_ep(minus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).


% renn   ~~> @intrans_verb(rennen),
%            @past_stem(a_ rann),
%            @part_stem(a_ rann),
            
%            @vflex_fk(mixed),
%            @vflex_ep(minus),
%            @vflex_evp(minus),
%            @vflex_epp(minus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).

schlaf ~~> @intrans_verb(a_ schlafen),
           @pres2_stem(a_ schläf),
           @past_stem(a_ schlief),
            
           @vflex_fk(v_strong),
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).


% sterb  ~~> @intrans_unacc_verb(a_ sterben_rel),
%            @pres2_stem(a_ stirb),
%            @past_stem(a_ starb),
%            @part_stem(a_ storb),
           
%            @conj_stem(a_ stürb),
%            @imp2_stem,
%            @vflex_fk(v_strong),
              
%            @vflex_ep(minus),
%            @vflex_evp(minus),
%            @vflex_epp(plus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).


% les    ~~> @trans_verb(a_ lesen),
%            @pres2_stem(a_ lies),

%            @past_stem(a_ las),
%            @part_stem(a_ les),
%            @conj_stem(a_ läs),
%            @imp2_stem,
%            @vflex_fk(v_strong),
           
%            @vflex_ep(minus),
%            @vflex_evp(minus),
%            @vflex_epp(plus),
%            @vflex_sm(plus),
%            @vflex_pl_n(minus),
%            @vflex_spe(plus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).

% lieb   ~~> @trans_verb(a_ lieben),
%            @vflex_fk(v_weak),
            
%            @vflex_ep(minus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).


öffn  ~~> @caused_trans_verb(a_ offen,object,object),
            @vflex_fk(v_weak),
            
            @vflex_ep(plus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_em(minus),
            @vflex_bet1(minus).
  
%vorschlagen
schlag ~~> @trans_verb(a_ vorschlagen,a_ vor),
           @pres2_stem(a_ schläg),
           @past_stem(a_ schlug),
           @part_stem(a_ schlag),
           
           @vflex_fk(v_strong),
           
           @vflex_ep(minus),
           @vflex_evp(minus),
           @vflex_epp(plus),
           @vflex_sm(minus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

erzähl  ~~> @ditrans_verb(a_ erzählen),
            @vflex_fk(v_weak),
            
            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(minus),
            @vflex_spe(minus),
            @vflex_tm(minus),
            @vflex_em(minus),
            @vflex_bet1(minus).

% grau   ~~> @subjlos_verb(dat,grauen),
%            @vflex_fk(v_weak),
 
%            @vflex_ep(minus),
%            @vflex_sm(minus),
%            @vflex_pl_n(minus),
%            @vflex_spe(minus),
%            @vflex_tm(minus),
%            @vflex_em(minus),
%            @vflex_bet1(plus).

% schein ~~>    @coherent_subject_raising_verb(a_ scheinen),
%               synsem:loc:cat:head:vform:fin,        % *Karl wird zu schlafen scheinen.
%                                                     % *Karl hat zu schlafen geschienen.
%               @past_stem(a_ schien),
 
%               @vflex_fk(v_strong),
                
%               @vflex_ep(minus),
%               @vflex_evp(minus),
%               @vflex_epp(plus),
%               @vflex_sm(minus),
%               @vflex_pl_n(minus),
%               @vflex_spe(minus),
%               @vflex_tm(minus),
%               @vflex_em(minus),
%               @vflex_bet1(plus).

müss   ~~> @modal_verb(a_ müssen),
           @pres2_stem(a_ muß),
 
           @past_stem(a_ muß),
           @part_stem(a_ muß),
           
           @conj_stem(a_ müss),

           @vflex_fk(modal),
            
           @vflex_ep(minus),
           @vflex_sm(plus),
           @vflex_pl_n(minus),
           @vflex_spe(minus),
           @vflex_tm(minus),
           @vflex_em(minus),
           @vflex_bet1(plus).

%nackt        ~~> @adj_stem(a_ nackt).


klug        ~~> @adj_stem(a_ klug).

% mutmaßlich  ~~> @scopal_adj_stem(a_ mutmaßlich).


% % Verbpartikel


% an ~~>
%  (subj_intersective_modifying_particle,
%   rels:[pred: (a_ gerichtet_auf)]).
            
% los ~~>
% (subj_less_scopal_modifying_particle,
%  rels:[pred: (a_ beginnen)]).

% herum ~~>
% (subj_less_scopal_modifying_particle,
%  rels:[pred: (a_ herum)]).

vor  ~~> @non_trans_particle(a_ vor).


% % Das ist ein Trick, der gebraucht wird,
% % damit eine eigentlich syntaktische Regel im Lexikon angewendet werden
% % kann. Ohne diesen Trick würde man in Trale die Partikelverben und entsprechende
% % Derivationsformen nur mit einem Leerzeichen zwischen Partikel und Verb/Adjektiv/Nomen
% % analysieren können.

% % In den entsprechenden Lexikonregeln wird eine Tochter als `particle' spezifiziert,
% % womit dann auch der phonologische Beitrag zugreifbar ist und mit
% %
% % morphs
% %  X becomes (Y,X).
% %
% % in die orthographische Form des Wortes integriert werden kann.


particle *>
 ((phon:[a_ an],
   subj_intersective_modifying_particle,
   rels:[pred: (a_ gerichtet_auf)])
 ;
  (phon:[a_ los],
   subj_less_scopal_modifying_particle,
   rels:[pred: (a_ beginnen)])
 ;
  (phon:[a_ herum],
   subj_less_scopal_modifying_particle,
    rels:[pred: (a_ herum)])
 ;
   (phon:[a_ vor],
    @non_trans_particle(a_ vor))).



% %daß ~~> @complementizer(daß_cform).

% %interessant ~~> @adj_stem(a_ interessant).
% %test ~~> hm_test_trace.

wird     ~~> @werden(third,  sg, pres_ind).

% %wurde    ~~> @werden_pas(first_or_third, sg, past_ind).

% %ist   ~~> @sein(third, sg, pres_ind).
% ist   ~~> @copula_verb(third, sg, pres_ind).

% zu  ~~> @comp_prep(zu_pform).

% von ~~> @passive_preposition.

% daß ~~> @complementizer(daß_cform).
dass ~~> @complementizer(daß_cform).


% nicht ~~> @scopal_adv(a_ nicht).

%oft   ~~> @scopal_adv(a_ oft).

wieder ~~> @scopal_adv(a_ wieder).

empty
   @hm_trace.


% hm_trace :=
%  (@trace,
%   @non_slashed_le,
%   synsem:(loc:(Loc,
%                cat:head:(verb,
%                          initial:minus,
%                          dsl:Loc)),
%          trace:head_movement
%          )).


% test_hm ~~> 
%  (@non_rel_le,
%   @non_clld_le,
%   @non_clld_bind_le,
%   simple_word,
%   @non_relativizer_le,
%   @non_slashed_le,
%   synsem:(loc:(Loc,
%                cat:head:(verb,
%                          initial:minus,
%                          dsl:Loc)),
%          trace:head_movement
%          )).




empty 
   e_trace.

% test_e_trace ~~>
% ( @non_rel_le,
%   @non_clld_le,
%   @non_clld_bind_le,
%   simple_word,
%   @non_relativizer_le,
%   synsem:(loc:Loc,
%            nonloc:inher:slash:[Loc],
%            trace:extraction)).

/*
empty 
    (@empty_determiner_word,
     @det(pl,weak,udef_q)).
*/