% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: theory.pl,v $
%%  $Revision: 324 $
%%      $Date: 2008-09-11 11:08:14 +0200 (Do, 11 Sep 2008) $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile hidden_feat/1.
:- multifile '<<<'/2.

:- (environ('TRALE_UNICODE', true);
    format(user_error,"~n~n**ERROR: Please start trale with the option `-u' to enable unicode support, which is needed for this grammar.~n~n~n",[]),
    abort).

% This is used for parametrization.
grammar(danish).

:- ['grammar-version'].
:- ['Core-Grammar/hiding-ordering'].


% Does not exist in all languages.
num <<< gen.


% Binäres Merkmal, das aus Effizenzgründen verwendet wird.
% Sieht nicht gut aus in Demos ... =;-)
hidden_feat(trace).




% use ghostview for drawing signatures
graphviz_option(ps,gv).
%graphviz_option(svg,squiggle).

% Load phonology and tree output

:- [trale_home(tree_extensions)].


:- chart_display.

:- nochart_debug.  % this helps if somebody interrupted during chart debugging and the
                   % flag is still set to 'on'.

%:- german. Default is English

:- notcl_warnings.  % on = output of warnings in a TCL window, off = output to console

:- hrp.  % use grisu for rules

%:- nofs. % do not print feature structures after parsing


% display MRSes after each parse in the interactive mode.
:- mrs.

% send MRSes to utool for display
:- display_mrs.

% send MRSes to utool for scoping
:- scope_mrs.

%mrs_normalization.    % default
%nomrs_normalization.  % for debugging utool


% send MRSes to utool for scoping during [incr TSDB()] test runs
% This cannot be done via a on/off flag in the tsdb-Prolog code, since
% [incr TSDB()] is loaded after the grammar.
%tsdb_scope_mrs.


% show error messages from utool in case the MRS does not scope
:- debug_mrs.

% for debbuging purposes use: nomrs_normalization.


root_symbol(@root).
decl_symbol(@decl).
que_symbol(@interrog).

% load tokenization rules for parsing ordinary strings and atoms
:- ['tokenization'].

% specify signature file
signature(signature).


:- ['Core-Grammar/danish'].

                                
:- ['danish-macros'].
:- ['danish-flex_macros'].


% load lexical macros for the copula
:- ['danish-copula'].
:- ['predication-rule'].

% load suffixes for inflection
:- ['danish-suffixes'].


% load lexical rules
:- ['danish-lexrules'].

% load phrase structure rules
:- ['danish-rules'].
%:- ['Core-Grammar/danish-german-persian-participle-lexrules','participle-lexrules'].

%:- ['Core-Grammar/agreement.pl'].
:- ['danish-syntax'].



% load some constraints that are not linguistically necessary,
% but good for performance
:- ['danish-speed'].



% consult instead of compile the lexicon.
%:- lex_consult.

% load lexicon
:- ['danish-lexicon'].
%:- ['lexicon-test'].
% lexical items for demos, not needed for test suites
%:- ['lexicon-fun'].


% load a test sequence
:- [test_items].



% examples(['  der das Buch lesende  Mann',
%           '  der das Buch lesen wollende Mann',
%           '  das lesbare Buch',
%           '* das gelesen habbare Buch',
%           '  die angelachte Frau',
%           '  die loslachende Frau',
%           '  die den Mann anlachende Frau',
%           '  die anlachbare Frau',
%           '  das Herumgerenne']).




%:- ale_flag(subtypecover,_Old,off).